%define realname unzip

Summary: A utility for unpacking zip files
Name: unzip-64bit
Version: 6.0
Release: 3
License: BSD
Group: Applications/Archiving
Source0: ftp://ftp.info-zip.org/pub/infozip/src/unzip60.tar.gz
URL: http://www.info-zip.org/pub/infozip/UnZip.html
BuildRoot: %{_tmppath}/%{name}-%{version}-%{release}-root

BuildRequires: bzip2-devel
Requires: bzip2

Conflicts: %{realname}-%{version}
Provides: %{realname}

%description
The unzip utility is used to list, test, or extract files from a zip
archive.  Zip archives are commonly found on MS-DOS systems.  The zip
utility, included in the zip package, creates zip archives.  Zip and
unzip are both compatible with archives created by PKWARE(R)'s PKZIP
for MS-DOS, but the programs' options and default behaviors do differ
in some respects.

Install the unzip package if you need to list, test or extract files from
a zip archive.

This version is compiled for 64 bit address space.


%prep
%setup -q -n %{realname}60


%build
export OBJECT_MODE=64
make -f unix/Makefile aix CF="-D_FILE_OFFSET_BITS=64 -DLARGE_FILE_SUPPORT -DNO_LCHMOD -O2 -I. -DUSE_BZIP2" L_BZ2="-lbz2" LFLAGS1="-Wl,-blibpath:/opt/freeware/lib:/usr/vac/lib:/usr/lib:/lib"


%install
[ "${RPM_BUILD_ROOT}" != "/" ] && rm -rf ${RPM_BUILD_ROOT}
make prefix=${RPM_BUILD_ROOT}%{_prefix} install

/usr/bin/strip -X64 ${RPM_BUILD_ROOT}%{_bindir}/* || :

cd ${RPM_BUILD_ROOT}
mkdir -p usr/bin
cd usr/bin
ln -sf ../..%{_bindir}/* .


%clean
[ "${RPM_BUILD_ROOT}" != "/" ] && rm -rf ${RPM_BUILD_ROOT}


%files
%defattr(-,root,system)
%doc BUGS LICENSE README WHERE
%{_bindir}/*
%{_mandir}/man1/*
/usr/bin/*


%changelog
* Fri Sep 18 2009 Michael Perzl <michael@perzl.org> - 6.0-3
- added largefile support, added bzip2 capabilities

* Wed Sep 16 2009 Michael Perzl <michael@perzl.org> - 6.0-2
- fixed wrong "Collides" property

* Wed Sep 16 2009 Michael Perzl <michael@perzl.org> - 6.0-1
- first version for AIX V5.1 and higher
